<template>
<div>
    <div class="row">
     <div class="col-1"></div>
        <div class="col-10">
            <div class="card">
              <div class="card-header text-left">
                <span style="font-family:'times';font-size:150%;font-weight:bold"><i class="fas fa-align-justify icon-2xt" ></i> Unités</span>
                </div>
                <div class="card-body">
                 <div class="form-group row">
                 
                 <router-link to="/unit" class="btn btn-primary" style="margin-left:2%"><i class="fas fa-align-justify icon-2xt"></i>Gerer les unités</router-link>
                 <router-link to="/unit-add" class="btn btn-success" style="margin-left:2%"><i class="fab fa-medrt icon-2xt " ></i> Ajouter une unité</router-link>
                 </div>
               
                <div class="card-block table-border-style">
                                                <div class="table-responsive">
                                                    <table class="table" id="tabledata">
                                                        <thead>
                                                            <tr>
                                                                <th>#</th>
                                                                <th>Nom de l'unité</th>
                                                                <th>Action</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <tr v-for="(data,index) in infodata" :key="index">
                                                                <th scope="row">{{index+1}}</th>
                                                                <td>{{data.libelle}}</td>
                                                                <td>
                                                                <router-link  :to="{name:'unit-edit',params:{id:data.id}}" class="btn btn-primary text-center "> <i class="fas fa-edit"></i></router-link >
                                                                <button class="btn btn-danger text-center" style="margin-left:1%" v-on:click="deleteUnit(data.id)"><i class="fas fa-trash-alt"></i></button>
                                                                </td>
                                                            </tr>
                                                         
                                                          
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                </div>
            </div>
        </div>
    </div>
</div>

</template>

<script>


export default {
  name: 'ListUnit',
  components: {
  },
  data(){
      return {
          infodata:[]
      }
  },
  created () {
       this.getListUnit()
  }
  ,
  methods:{
       show(status){
     if(status){
         this.$toasted.info('Suppression éffectuée avec success').goAway(2000);
     }
     else{
         this.$toasted.error('Impossible de supprimer cet elément').goAway(2000);
     }
 },
 handlerror(response){
     if(!response.ok){
         throw new Error(response.statusText);
     }
     return response.json()
 },
    getListUnit(){
          const requestOptions = {
    method: "POST",
    headers: { "Content-Type": "application/json" },
    //body: JSON.stringify({ title: "Vue POST Request Example" })
  };
  fetch("http://127.0.0.1:8000/api/auth/unit/liste", requestOptions)
    .then(response => response.json())
    .then(data => (this.infodata=data.data))
    
      },
       deleteUnit(id){
          const requestOptions = {
    method: "POST",
    headers: { "Content-Type": "application/json" },
     };
  fetch("http://127.0.0.1:8000/api/auth/unit/delete/"+id, requestOptions)
    .then(this.handlerror)
    .then(data => (console.log(data),this.show(true),this.getListUnit()))
    .catch(err => (this.show(false),console.log(err)));
  } 
  }

}
</script>
